Subject: Re: linux-next: build failure after merge of the final tree (akpm-current tree related)

From: Andrew Morton <[email-masked]>
Date: Wed, 26 Feb 2014 15:17:47 -0800

On Thu, 27 Feb 2014 10:00:26 +1100 Stephen Rothwell <[email-masked]> wrote:

> Hi Josh,
> 
> On Wed, 26 Feb 2014 02:02:34 -0800 Josh Triplett <[email-masked]> wrote:
> >
> > On Wed, Feb 26, 2014 at 07:16:27PM +1100, Stephen Rothwell wrote:
> > > 
> > > After merging the final tree, today's linux-next build (powerpc64
> > > allnoconfig) failed like this:
> > > 
> > > arch/powerpc/kernel/built-in.o: In function `.machine_check_queue_event':
> > > (.text+0x11260): undefined reference to `.irq_work_queue'
> > > 
> > > Caused (or exposed) (along with a lot of warnings) by commit 3dd6115cd60b
> > > ("kconfig: make allnoconfig disable options behind EMBEDDED and EXPERT")
> > > from the apm-current tree.
> > 
> > Pre-existing, just now triggerable with just "make allnoconfig" rather
> > than manually turning off other options (like PRINTK) that select
> > IRQ_WORK.  (One of the goals of that commit: get those options more
> > widely used and build-tested.)
> > 
> > The following (untested) patch *should* fix this:
> > ----- 8< -----
> > From 36a5b6c87292b6c5eeb390ed6dc6acbb8f0a3767 Mon Sep 17 00:00:00 2001
> > From: Josh Triplett <[email-masked]>
> > Date: Wed, 26 Feb 2014 01:58:02 -0800
> > Subject: [PATCH] ppc: Make PPC_BOOK3S_64 select IRQ_WORK
> 
> OK, I added this as a merge fix patch for Andrew's tree today.  Please
> check the build results overnight tonight (for next-20140227 at
> http://kisskb.ellerman.id.au/linux-next) and submit any more fixes for
> the allnoconfig build errors.

yes, let's keep
kconfig-make-allnoconfig-disable-options-behind-embedded-and-expert,
please.  We'll just need to slog our way through the breakage which it
exposes.